Bug 12512 - gratiousarp -> gratarp rename incomplete
gratiousarp -> gratarp rename incomplete
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.5.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-12 10:42 UTC by Ralph Böhme
Modified: 2017-01-27 05:15 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-5 (4.01 KB, patch)
2017-01-17 05:10 UTC, Amitay Isaacs
martins: review+
Details
Patches for v4-6 (4.01 KB, patch)
2017-01-17 05:10 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-01-12 10:42:14 UTC
The old name "gratiousarp" is still used in a few places:

$ git grep gratiousarp
ctdb/config/events.d/10.interface:      # 5) use ctdb gratiousarp to propagate the new mac address
ctdb/config/events.d/10.interface:      $CTDB gratiousarp "$ip" "$niface"
ctdb/config/events.d/13.per_ip_routing: $CTDB gratiousarp "$ip" "$iface"
ctdb/config/events.d/13.per_ip_routing: $CTDB gratiousarp "$ip" "$niface"
ctdb/config/events.d/91.lvs:    $CTDB gratiousarp \
ctdb/doc/ctdb.1.xml:      <title>gratiousarp <parameter>IPADDR</parameter> <parameter>INTERFACE</parameter></title>
ctdb/tests/eventscripts/stubs/ctdb:    gratiousarp) : ;;  # Do nothing for now
Comment 1 Amitay Isaacs 2017-01-17 05:10:07 UTC
Created attachment 12834 [details]
Patches for v4-5
Comment 2 Amitay Isaacs 2017-01-17 05:10:53 UTC
Created attachment 12835 [details]
Patches for v4-6
Comment 3 Martin Schwenke 2017-01-17 05:18:12 UTC
Hi Karolin,

This is ready for 4.5 and 4.6.

Thanks...
Comment 4 Karolin Seeger 2017-01-24 20:09:32 UTC
(In reply to Martin Schwenke from comment #3)
Pushed to autobuild-v4-{6,5}-test.
Comment 5 Karolin Seeger 2017-01-27 05:15:18 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!